Package: org.apache.groovy.json.internal

## [Java] Class SimpleCache<K, V>

- org.apache.groovy.json.internal.SimpleCache

- All Implemented Interfaces and Traits:
    Cache

      public class SimpleCache<K, V>
      extends Object
      implements Cache

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleCache(int limit, CacheType type)`
    `SimpleCache(int limit)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public V` | `get(K key)`
    `` | `public V` | `getSilent(K key)`
    `` | `public void` | `put(K key, V value)`
    `` | `public void` | `remove(K key)`
    `` | `public int` | `size()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public SimpleCache(int limit, CacheType type)

    - #### public SimpleCache(int limit)

  - ### Method Detail

    - #### @Override
      public V get(K key)

    - #### @Override
      public V getSilent(K key)

    - #### @Override
      public void put(K key, V value)

    - #### @Override
      public void remove(K key)

    - #### @Override
      public int size()

    - #### @Override
      public String toString()